export declare type ContextFunction<Context> = (<Result>(fn: (ctx: Context) => Promise<Result>) => PromiseLike<Result>);
export declare type Ctx<Context> = Context | ContextFunction<Context> | PromiseLike<Context | ContextFunction<Context>>;
export default function withContext<Context, Result>(ctx: Ctx<Context>, fn: (context: Context) => Promise<Result>): Promise<Result>;
